org.apache.flume

## Annotation Type VersionAnnotation

-     @Retention(value=RUNTIME)
      @Target(value=PACKAGE)
      public @interface VersionAnnotation

  This class is about package attribute that captures version info of Flume that was compiled.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `branch` Get the branch from which this was compiled.
    `String` | `date` Get the date when Flume was compiled.
    `String` | `revision` Get the subversion revision.
    `String` | `srcChecksum` Get a checksum of the source files from which Flume was compiled.
    `String` | `url` Get the url for the subversion repository.
    `String` | `user` Get the username that compiled Flume.
    `String` | `version` Get the Flume version

- - ### Element Detail

    - #### version

          public abstract String version

      Get the Flume version
      Returns:
        the version string "1.1"

    - #### revision

          public abstract String revision

      Get the subversion revision.
      Returns:
        the revision number as a string (eg. "100755")

    - #### branch

          public abstract String branch

      Get the branch from which this was compiled.
      Returns:
        The branch name, e.g. "trunk"

    - #### user

          public abstract String user

      Get the username that compiled Flume.

    - #### date

          public abstract String date

      Get the date when Flume was compiled.
      Returns:
        the date in unix 'date' format

    - #### url

          public abstract String url

      Get the url for the subversion repository.

    - #### srcChecksum

          public abstract String srcChecksum

      Get a checksum of the source files from which Flume was compiled.
      Returns:
        a string that uniquely identifies the source

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.